Create a service for a third party

Create a service for a third party

Through this API, you can associate an existing service to an existing third party in Fracttal. This web service can also be used to create a service and associate it to the third party at the same time.

Input Parameters

The following information must be sent in the request body.

ParameterTypeRequiredDescription
third_party_codeTextYesThird party code. Can be consulted here. (field code)
service_descriptionTextYesService name
costFloatYesService cost
detailsTextOptionalDetails of the service associated to the third party.
This parameter must be sent when the service is not created in Fracttal.
unit_codeTextOptionalService unit of measure code.
This parameter must be sent when the service is not created in Fracttal.
unit_descriptionTextOptionalService unit of measure description.
This parameter must be sent when the service is not created in Fracttal.

Output Parameters

ParameterTypeDescription
third_parties_nameTextThird party name
service_types_descriptionTextService type description
costIntegerCost of the service associated to the third party
detailsTextDetails of the service associated to the third party
date_frequencyTextService frequency
period_dates_descriptionTextService frequency description
unit_frequencyTextService frequency unit
units_descriptionTextService frequency unit description
service_units_descriptionTextService frequency description
descriptionTextService description
third_parties_codeTextCode of the third party associated to the service
visible_to_allBooleanIndicates whether the service associated to the third party is visible to all or not.
parent_descriptionTextDescription of the location-type asset to which the service is associated.

Example:

Request: (POST)https://app.fracttal.com/api/third_parties_services

{
    "third_party_code":"123424325",
    "service_description":"ELEVATOR MAINTENANCE",
    "cost":150000,
    "unit_code":"SERV",
    "unit_description":"SERVICE",
    "details":"SERVICE INSERTED BY API"
}
{
    "success": true,
    "message": "200",
    "data": {
        "id": 15254,
        "id_company": 69,
        "id_third_party": 377912,
        "third_parties_name": "OTIS",
        "id_service_type": 11153,
        "service_types_description": "ELEVATOR MAINTENANCE",
        "cost": 150000,
        "id_unity": null,
        "details": "SERVICE INSERTED BY API",
        "date_frequency": null,
        "id_period_date": null,
        "period_dates_description": null,
        "unit_frequency": null,
        "id_unit_service": null,
        "units_description": null,
        "service_units_description": null,
        "description": "OTIS",
        "third_parties_code": "123424325",
        "visible_to_all": false,
        "parent_description": "// "
    },
    "total": 1
}
Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!